MONGOC_GRIDFS_FILE_T(3)

NAME
mongoc_gridfs_file_t - This structure provides a MongoDB GridFS file abstraction. It provides several APIs.

SYNOPSIS

typedef struct _mongoc_gridfs_file_t mongoc_gridfs_file_t;

DESCRIPTION

This structure provides a MongoDB GridFS file abstraction. It provides several APIs.

\[bu]
    readv, writev, seek, and tell.

\[bu]
    General file metadata such as filename and length.

\[bu]
    GridFS metadata such as md5, filename, content_type, aliases, metadata, chunk_size, and upload_date.

THREAD SAFETY

This structure is NOT thread-safe and should only be used from one thread at a time.

RELATED

\[bu]
    mongoc_client_t

\[bu]
    mongoc_gridfs_t

\[bu]
    mongoc_gridfs_file_list_t

\[bu]
    mongoc_gridfs_file_opt_t

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.